sphinx / sphinx /

# -*- coding: utf-8 -*-

    .. warning::

       This module is only kept for API compatibility; new code should
       import these classes directly from the package.

    :copyright: Copyright 2007-2010 by the Sphinx team, see AUTHORS.
    :license: BSD, see LICENSE for details.

import warnings

from import Builder
from import TextBuilder
from import StandaloneHTMLBuilder, WebHTMLBuilder, \
     PickleHTMLBuilder, JSONHTMLBuilder
from import LaTeXBuilder
from import ChangesBuilder
from import HTMLHelpBuilder
from import CheckExternalLinksBuilder

warnings.warn('The sphinx.builder module is deprecated; please import '
              'builders from the respective submodules.',
              DeprecationWarning, stacklevel=2)